globales
  nada: entero;
fin

// Devuelve 1 si a, b y c son los lados de un tri?ngulo, y 0 en otro caso
funcion es_triangulo(a, b, c: entero) : entero
es
secuencia
  si a+b <= c entonces
    devuelve 0;
  si_no_si b+c <= a entonces
    devuelve 0;
  si_no_si a+c <= b entonces
    devuelve 0;
  si_no
    devuelve 1;
  fin
fin


// Devuelve el tipo de tri?ngulo correspondiente a los lados dados
funcion clasifica(a, b, c: entero) : cadena
es
  locales
    tipo: cadena;
  fin
secuencia
  si a = b entonces
    si b = c entonces
      tipo := "equil?tero";
    si_no
      tipo := "is?sceles (a=b)";
    fin
  si_no_si b = c entonces
    tipo := "is?sceles (b=c)";
  si_no_si a = c entonces
    tipo := "is?sceles (a=c)";
  si_no
    tipo := "escaleno";
  fin
  devuelve tipo;    
fin



funcion describe(a, b, c: entero) : entero
es
secuencia
  escribe "("; escribe a;
  escribe ","; escribe b;
  escribe ","; escribe c;
  escribe ") ";
  si llama es_triangulo(a, b, c) = 1 entonces
    secuencia
      escribe "es un tri?ngulo ";
      escribe llama clasifica(a, b, c);
    fin
  si_no
    escribe "no es un tri?ngulo";
  fin
  nl;
  devuelve 0;
fin


secuencia
  // Equil?tero
  nada := llama describe(3, 3, 3);

  // Is?sceles
  nada := llama describe(3, 3, 2);
  nada := llama describe(2, 3, 3);
  nada := llama describe(2, 3, 2);

  // Escaleno
  nada := llama describe(3, 4, 5);

  // No v?lidos
  nada := llama describe(3, 1, 2);
  nada := llama describe(1, 2, 3);
  nada := llama describe(1, 2, 3);
fin
