globales
  meses: vector[12] de cadena;
  dia, mes, anyo, nada: entero;
fin


// Devuelve 1 si el a?o dado es bisiesto y 0 si no lo es
funcion bisiesto(anyo: entero) : entero
es
secuencia
  si anyo%400 = 0 entonces
    devuelve 1;
  si_no_si anyo%4 = 0 entonces
    si anyo%100 != 0 entonces
      devuelve 1;
    fin
  fin
  devuelve 0;
fin


// Devuelve la cantidad de d?as del mes dado en el a?o dado  (versi?n 1)
// (0 si el mes no es v?lido)
funcion dias_mes_1(mes, anyo: entero) : entero
es
secuencia
  // Febrero
  si mes = 2 entonces
    si llama bisiesto(anyo)=1 entonces
      devuelve 29;
    si_no
      devuelve 28;
    fin

  // Meses de 30 d?as
  si_no_si mes = 4 entonces
    devuelve 30;
  si_no_si mes = 6 entonces
    devuelve 30;
  si_no_si mes = 9 entonces
    devuelve 30;
  si_no_si mes = 11 entonces
    devuelve 30;

  // Meses de 31 d?as
  si_no_si mes = 1 entonces
    devuelve 31;
  si_no_si mes = 3 entonces
    devuelve 31;
  si_no_si mes = 5 entonces
    devuelve 31;
  si_no_si mes = 7 entonces
    devuelve 31;
  si_no_si mes = 8 entonces
    devuelve 31;
  si_no_si mes = 10 entonces
    devuelve 31;
  si_no_si mes = 12 entonces
    devuelve 31;

  // Mes no v?lido
  si_no
    devuelve 30;
  fin
fin


// Devuelve la cantidad de d?as del mes dado en el a?o dado  (versi?n 2)
// (0 si el mes no es v?lido)
funcion dias_mes_2(mes, anyo: entero) : entero
es
secuencia
  si mes < 0 entonces
    devuelve 0;
  si_no_si mes > 12 entonces
    devuelve 0;
  si_no  // Mes v?lido
    si mes = 2 entonces
      si llama bisiesto(anyo)=1 entonces
        devuelve 29;
      si_no
        devuelve 28;
      fin
    si_no_si mes % 2 = 0 entonces
      si mes < 8 entonces
        devuelve 30;
      si_no
        devuelve 31;
      fin
    si_no
      si mes < 8 entonces
        devuelve 31;
      si_no
        devuelve 30;
      fin
    fin
  fin
fin


// Muestra el n?mero de d?as de cada mes en el a?o dado
funcion mostrar_dias_mes(pos, anyo: entero) : entero
es
  locales
    basura: entero;
  fin
secuencia
  si pos >= 0 entonces
    secuencia
      basura := llama mostrar_dias_mes(pos-1, anyo);
      escribe meses[pos];
      escribe " tiene ";
      escribe llama dias_mes_2(pos+1, anyo);
      escribe " d?as";
      nl;
    fin
  si_no
    secuencia
      escribe "A?o ";
      escribe anyo;
      escribe ":";
      nl;
    fin
  fin
  devuelve 0;
fin


// Devuelve 1 si la fecha dada es v?lida y 0 en caso contrario
funcion fecha_valida(dia, mes, anyo: entero) : entero
es
secuencia
  si dia < 0 entonces
    devuelve 0;
  si_no_si dia > llama dias_mes_1(mes, anyo) entonces
    devuelve 0;
  si_no
    devuelve 1;
  fin
fin


// Muestra la fecha dada
funcion mostrar_fecha(dia, mes, anyo: entero) : entero
es
secuencia
  escribe dia; escribe "/"; escribe mes; escribe "/"; escribe anyo;
  devuelve 0;
fin


secuencia
  // Inicializar vector con nombres de meses
  meses[0] := "enero";
  meses[1] := "febrero";
  meses[2] := "marzo";
  meses[3] := "abril";
  meses[4] := "mayo";
  meses[5] := "junio";
  meses[6] := "julio";
  meses[7] := "agosto";
  meses[8] := "septiembre";
  meses[9] := "octubre";
  meses[10] := "noviembre";
  meses[11] := "diciembre";

  // Mostrar el n?mero de d?as de cada mes
  nada := llama mostrar_dias_mes(11, 2009);
  nl;

  // Dada una fecha ...
  dia := 31; mes := 6; anyo := 2009;

  // ... decir si es v?lida
  nada := llama mostrar_fecha(dia, mes, anyo);
  si llama fecha_valida(dia, mes, anyo) = 1 entonces
    escribe " es una fecha v?lida";
  si_no
    escribe " no es una fecha v?lida";
  fin
  nl;
fin
